#ifndef LISTA_H_INCLUDED
#define LISTA_H_INCLUDED

#include"elemento.h"

typedef struct lista lista_t;



lista_t * lst_criar();
void lst_inserir(lista_t *l, elem_t * info);
void lst_inserir_em_ordem(lista_t *l, elem_t * info);
elem_t * lst_remover(lista_t *l, int id);
elem_t * lst_remover_ultimo(lista_t *l);
void lst_destruir(lista_t *l);
void lst_imprimir(lista_t *l);


#endif // LISTA_H_INCLUDED
